XAMPP 1.8.0 לתקן phpmyadmin לאחר שדרוג

ימים ספורים החוצה XAMPP 1.8.0 אתמול לאחר שדרוג מגירסה 1.7.7 היה לי די בעיה מעניינת. PhpMyAdmin-והוא לא נפתח ושאג 403

כניסה אסורה!


תפיסת הביטחון XAMPP חדש:

הגישה אל האובייקט המבוקש זמינה רק מהרשת המקומית.

הגדרה זו יכולה להיות מוגדרת בקובץ “httpd-xampp.conf”.

מיד פתחה httpd-xampp.conf אשר לי הוא ב / opt / lampp / etc / תוספת /, במבט ראשון הכל נראה בסדר. כללי רשת מקומית נמנו. מלבד localhost הפתיחה. WTF ??? הסתכלתי ביומן-ואראה כי הגישה שלי נחתכה על ידי konfiguatsiyata. הנה עכשיו מה התנשפתי ולמען האמת קצת פחות מזל מצא את הבעיה. След като преглеждах httpd.conf-а видях в Allow/Deny клаузите един последен ред דרוש כל שהוענק. אה יוריקה. זהו מנגנון בקרה חדש שנכנס 2.4.x Apache. זה נותן גישה או סירוב כל קנס כזה, בעצם מוחק מותר / אסור פונקציונלי :). За да поправим проблема добавяме Require all granted в директивите за папката /opt/lampp/phpmyadmin. לאחר השינויים בי נראה כמו

<מַדרִיך “/opt / lampp / phpmyadmin”>
AllowOverride AuthConfig הגבל
להזמין לאפשר,לְהַכּחִישׁ
אפשר מכל
דרוש כל שהוענק
</מַדרִיך>

 

Viangi יכול לנסות פרוע אחר, למשל, כדי לשנות את שם משהו התיקייה phpmyadmin אחר ולא כינוי. אבל זה מכוער ולא מאוד משמעותי 🙂

נ.ב הם שאלו אותי למה אני משתמש XAMPP לא התקנה נקיה של כל המרכיבים כמו אותם זה דביאן שנולדו – отговорът е много много простМЪРЗЕЛ. Мързи ме да напиша няколко команди после да си пипна конфовете и прочие. Доста по лесно е сваляш целия пакет разархивираш и палиш 😉

משופר על ידי Zemanta

השאר תגובה

כתובת הדוא ל שלך לא יפורסם. שדות חובה מסומנים *

אנטי-ספאם *